<?php
session_start();
require_once('../includes/db_connect.php');

// Check if user is logged in
if (!isset($_SESSION['admin_logged_in']) || $_SESSION['admin_logged_in'] !== true) {
    header('Location: index.php');
    exit;
}

// Get some stats for the dashboard
$stmt = $conn->prepare("SELECT COUNT(*) FROM products");
$stmt->execute();
$productCount = $stmt->fetchColumn();

$stmt = $conn->prepare("SELECT COUNT(*) FROM shops");
$stmt->execute();
$shopCount = $stmt->fetchColumn();

$stmt = $conn->prepare("SELECT COUNT(*) FROM testimonials");
$stmt->execute();
$testimonialCount = $stmt->fetchColumn();

// Include header
$pageTitle = "Dashboard";
include('includes/header.php');
?>

<div class="dashboard-stats">
    <div class="stat-card">
        <div class="stat-icon">
            <i class="fas fa-box"></i>
        </div>
        <div class="stat-details">
            <h3><?php echo $productCount; ?></h3>
            <p>Produkte</p>
        </div>
    </div>
    
    <div class="stat-card">
        <div class="stat-icon">
            <i class="fas fa-store"></i>
        </div>
        <div class="stat-details">
            <h3><?php echo $shopCount; ?></h3>
            <p>Shops</p>
        </div>
    </div>
    
    <div class="stat-card">
        <div class="stat-icon">
            <i class="fas fa-comment"></i>
        </div>
        <div class="stat-details">
            <h3><?php echo $testimonialCount; ?></h3>
            <p>Kundenstimmen</p>
        </div>
    </div>
</div>

<div class="dashboard-welcome">
    <h2>Willkommen, <?php echo htmlspecialchars($_SESSION['admin_username']); ?>!</h2>
    <p>Verwalten Sie hier Ihre Markeninformationen, Produkte, Shops und mehr.</p>
</div>

<div class="dashboard-quicklinks">
    <h3>Schnellzugriff</h3>
    <div class="quicklinks-grid">
        <a href="brand.php" class="quicklink-card">
            <i class="fas fa-trademark"></i>
            <span>Markeninformationen</span>
        </a>
        <a href="products.php" class="quicklink-card">
            <i class="fas fa-box"></i>
            <span>Produkte verwalten</span>
        </a>
        <a href="order_forms.php" class="quicklink-card">
            <i class="fas fa-clipboard-list"></i>
            <span>Bestellformulare</span>
        </a>
        <a href="shops.php" class="quicklink-card">
            <i class="fas fa-store"></i>
            <span>Shops verwalten</span>
        </a>
        <a href="testimonials.php" class="quicklink-card">
            <i class="fas fa-comment"></i>
            <span>Kundenstimmen</span>
        </a>
        <a href="contact.php" class="quicklink-card">
            <i class="fas fa-envelope"></i>
            <span>Kontaktdaten</span>
        </a>
    </div>
</div>

<?php include('includes/footer.php'); ?> 