<?php
// MySQL Datenbankkonfiguration
define('DB_HOST', 'localhost');
define('DB_USER', 'keloxyz1_jbkerzenzauber');  // Anpassen an Ihren MySQL-Benutzer
define('DB_PASS', 'Hlx451bcd!Hl');      // Anpassen an Ihr MySQL-Passwort
define('DB_NAME', 'keloxyz1_jb_kerzenzauber');

try {
    // MySQL-Verbindung herstellen
    $conn = new PDO('mysql:host=' . DB_HOST . ';dbname=' . DB_NAME . ';charset=utf8mb4', DB_USER, DB_PASS);
    
    // Fehlerbehandlung einstellen
    $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    $conn->setAttribute(PDO::ATTR_DEFAULT_FETCH_MODE, PDO::FETCH_ASSOC);
    
    // Stellen Sie sicher, dass MySQL mit der richtigen Zeichenkodierung arbeitet
    $conn->exec("SET NAMES utf8mb4");
    $conn->exec("SET CHARACTER SET utf8mb4");
    $conn->exec("SET CHARACTER_SET_CONNECTION=utf8mb4");
    
} catch (PDOException $e) {
    // Im Produktivbetrieb Fehler loggen statt anzuzeigen
    error_log("Verbindungsfehler: " . $e->getMessage());
    // Benutzerfreundliche Fehlermeldung anzeigen
    die("Entschuldigung, es gibt ein technisches Problem. Bitte versuchen Sie es später erneut.");
}

/**
 * Hilfsfunktion zur Überprüfung, ob eine Tabelle existiert
 * 
 * @param string $tableName Der Name der zu überprüfenden Tabelle
 * @return bool True wenn die Tabelle existiert, sonst False
 */
function tableExists($tableName) {
    global $conn;
    
    try {
        $result = $conn->query("SHOW TABLES LIKE '{$tableName}'");
        return $result->rowCount() > 0;
    } catch (PDOException $e) {
        return false;
    }
}

/**
 * Hilfsfunktion zur Überprüfung, ob eine Spalte in einer Tabelle existiert
 * 
 * @param string $tableName Der Name der Tabelle
 * @param string $columnName Der Name der zu überprüfenden Spalte
 * @return bool True wenn die Spalte existiert, sonst False
 */
function columnExists($tableName, $columnName) {
    global $conn;
    
    try {
        $result = $conn->query("SHOW COLUMNS FROM `{$tableName}` LIKE '{$columnName}'");
        return $result->rowCount() > 0;
    } catch (PDOException $e) {
        return false;
    }
}

/**
 * Führt eine Datenbankkorrektur durch, wenn submission_date Spalte fehlt
 */
function fixDatabaseIfNeeded() {
    global $conn;
    
    // Prüfen, ob die Tabelle order_submissions existiert
    if (tableExists('order_submissions')) {
        // Prüfen, ob die Spalte submission_date fehlt
        if (!columnExists('order_submissions', 'submission_date')) {
            try {
                // Spalte hinzufügen
                $conn->exec("ALTER TABLE `order_submissions` ADD COLUMN `submission_date` TIMESTAMP DEFAULT CURRENT_TIMESTAMP");
                error_log("submission_date-Spalte zur order_submissions-Tabelle hinzugefügt");
            } catch (PDOException $e) {
                error_log("Fehler beim Hinzufügen der submission_date-Spalte: " . $e->getMessage());
            }
        }
    }
    
    // Prüfen, ob Adressfelder mit falschem Typ existieren
    if (tableExists('form_fields')) {
        try {
            $stmt = $conn->prepare("SELECT id FROM form_fields WHERE field_label LIKE 'Adresse' AND field_type != 'address'");
            $stmt->execute();
            $fields = $stmt->fetchAll();
            
            if (count($fields) > 0) {
                $updateStmt = $conn->prepare("UPDATE form_fields SET field_type = 'address' WHERE id = ?");
                foreach ($fields as $field) {
                    $updateStmt->execute([$field['id']]);
                    error_log("Adressfeld mit ID {$field['id']} zu Typ 'address' konvertiert");
                }
            }
        } catch (PDOException $e) {
            error_log("Fehler bei der Adressfeld-Korrektur: " . $e->getMessage());
        }
    }
}

/**
 * Automatic address field fix - ensure all address fields have the correct type
 */
function fixAddressFields() {
    global $conn;
    
    if (tableExists('form_fields')) {
        try {
            // Find fields with 'Adresse' in their label or name that aren't already of type 'address'
            $stmt = $conn->prepare("SELECT id FROM form_fields 
                                   WHERE (field_label LIKE '%Adresse%' OR field_label LIKE '%adresse%') 
                                   AND field_type != 'address'");
            $stmt->execute();
            $fields = $stmt->fetchAll();
            
            if (count($fields) > 0) {
                $updateStmt = $conn->prepare("UPDATE form_fields SET field_type = 'address' WHERE id = ?");
                foreach ($fields as $field) {
                    $updateStmt->execute([$field['id']]);
                }
            }
        } catch (PDOException $e) {
            error_log("Fehler bei der automatischen Adressfeld-Korrektur: " . $e->getMessage());
        }
    }
}

/**
 * Ensures all address fields have the correct type in MySQL database
 */
function ensureAddressFieldTypes() {
    global $conn;
    
    try {
        // Simple direct update for all fields that have 'adresse' in their name
        $sql = "UPDATE form_fields SET field_type = 'address' 
                WHERE field_label LIKE '%adresse%' 
                OR field_label LIKE '%Adresse%'";
        $conn->exec($sql);
        error_log("Address field types updated in database");
        
        return true;
    } catch (PDOException $e) {
        error_log("Error updating address field types: " . $e->getMessage());
        return false;
    }
}

// Run the fixes
fixDatabaseIfNeeded();
fixAddressFields();
ensureAddressFieldTypes();

?> 